<?php

namespace AutoAdmin\Bundle\Content\Hierarchy\Exception;

class LoopingHierarchy extends \Exception
{
    public function __construct(object $content)
    {
        $message = 'Looping hierarchy for object of type %s and id %s';
        $message = sprintf($message, get_class($content), $content->getId());

        parent::__construct($message);
    }
}
